PRINT "Legend of the Seven Paladins Extracter by Frenkel Smeijers"

IF COMMAND$ = "" THEN
  PRINT "Usage: lotspe [file to extract]"
  PRINT "Example: lotspe lvart000.dat"
  END
END IF

OPEN COMMAND$ FOR BINARY AS #1
IF LOF(1) = 0 THEN
  PRINT "Can't find " + COMMAND$
  CLOSE #1
  KILL COMMAND$
  END
END IF

DEFLNG A-Z
DIM contents AS STRING * 1

start:
file% = file% + 1
SEEK #1, file% * 4 - 3
GET #1, , offset1
GET #1, , offset2
SEEK #1, offset1 + 1
GET #1, , contents
SEEK #1, offset1 + 1
IF contents = CHR$(0) OR contents = CHR$(31) THEN
  extensie$ = "pal"
ELSEIF contents = CHR$(4) THEN extensie$ = "map"
ELSEIF contents = CHR$(10) THEN extensie$ = "pcx"
ELSEIF contents = CHR$(67) THEN extensie$ = "voc"
ELSEIF contents = CHR$(77) THEN extensie$ = "mid"
END IF
filename$ = LTRIM$(STR$(file%)) + "." + extensie$
OPEN filename$ FOR BINARY AS #2
FOR x = offset1 TO offset2 - 1
  GET #1, , contents
  PUT #2, , contents
NEXT x
PRINT filename$ + " written"
CLOSE #2
IF offset2 = LOF(1) THEN
  CLOSE #1
  END
END IF
GOTO start

